mmap fails to allocate 2030Mb heap on ARM

Bug #861296 reported by Xerxes Rånby on 2011-09-28
26
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro Toolchain Miscellanies
Invalid
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
High
Unassigned
linux-ac100 (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
linux-fsl-imx51 (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
linux-ti-omap4 (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

The attached testcase pass on ia32 but fails on armel systems running oneiric.
test system got 512mb of ram and 3Gb of swap.

gcc mmap-test.c -o mmap-test
./mmap-test

on my pandaboard I hit Couldn't allocate the heap: 2025Mb
on my ac100 I hit Couldn't allocate the heap: 2027Mb

The testcase fails to allocate heap on armel in the range of 2023-2030Mb and above.

Xerxes Rånby (xranby) wrote :
description: updated
Matthias Klose (doko) on 2011-09-28
tags: added: arm-porting-queue

This is an artefact of a different in where the libraries are mapped on the two architectures.

On ARM we have;
   executable
   heap
                        <---- ~1GB
   libs
                        <---- ~3GB
  stack

So there isn't one big 2GB chunk to allocate.

On x86 they have:
   executable
   heap
                       <--- ~3GB
   libs

I don't know why ARM does it this way however and whether it's changeable.

Dave

Xerxes Rånby (xranby) wrote :

updated testcase that try to allocate the memory rande using multiple smaller memory slices.

For example my ac100 fails to allocate 2010mb using 30*67Mb slices.

Download full text (5.1 KiB)

That one is much more fun; running under gdb it fails at:

2031Mb allocated using slize size = 5*406Mb OK
2031Mb allocated using slize size = 4*507Mb OK
Couldn't allocate the heap: 2031Mb
slize size = 677Mb slize no= 2/3

I added debug to print the pointers:

Slize 2 @ 0xffffffff
Slize 1 @ 0x6a613000
Slize 0 @ 0x40113000

and /proc/.../maps looks like:

daveg@panda-01:~$ cat /proc/19930/maps
00008000-00009000 r-xp 00000000 b3:02 61316 /home/daveg/t2
00010000-00011000 r--p 00000000 b3:02 61316 /home/daveg/t2
00011000-00012000 rw-p 00001000 b3:02 61316 /home/daveg/t2
40000000-40016000 r-xp 00000000 b3:02 189877 /lib/arm-linux-gnueabi/ld-2.13.so
40016000-4001a000 rw-p 00000000 00:00 0
4001d000-4001e000 r--p 00015000 b3:02 189877 /lib/arm-linux-gnueabi/ld-2.13.so
4001e000-4001f000 rw-p 00016000 b3:02 189877 /lib/arm-linux-gnueabi/ld-2.13.so
40031000-40106000 r-xp 00000000 b3:02 189898 /lib/arm-linux-gnueabi/libc-2.13.so
40106000-4010d000 ---p 000d5000 b3:02 189898 /lib/arm-linux-gnueabi/libc-2.13.so
4010d000-4010f000 r--p 000d4000 b3:02 189898 /lib/arm-linux-gnueabi/libc-2.13.so
4010f000-40110000 rw-p 000d6000 b3:02 189898 /lib/arm-linux-gnueabi/libc-2.13.so
40110000-94b13000 rw-p 00000000 00:00 0
befdf000-bf000000 rw-p 00000000 00:00 0 [stack]
ffff0000-ffff1000 r-xp 00000000 00:00 0 [vectors]

ulimit -a shows:
virtual memory (kbytes, -v) unlimited

and max memory size is also:
max memory size (kbytes, -m) unlimited

What's happening here is that the 3rd map would run into the stack, and it's not using the heap space below the libraries,
but instead it's failing.

2010Mb allocated using slize size = 32*62Mb OK
2010Mb allocated using slize size = 31*64Mb OK
Couldn't allocate the heap: 2010Mb
slize size = 67Mb slize no= 29/30
Slize 29 @ 0xffffffff
Slize 28 @ 0xb64c3000
Slize 27 @ 0xb215d000
Slize 26 @ 0xaddd9000
Slize 25 @ 0xa9ad2000
Slize 24 @ 0xa5707000
Slize 23 @ 0xa13e7000
Slize 22 @ 0x9d0df000
Slize 21 @ 0x98d8d000
Slize 20 @ 0x949a7000
Slize 19 @ 0x905d9000
Slize 18 @ 0x8c280000
Slize 17 @ 0x87e8d000
Slize 16 @ 0x83ab7000
Slize 15 @ 0x7f767000
Slize 14 @ 0x7b3bf000
Slize 13 @ 0x77022000
Slize 12 @ 0x72c5e000
Slize 11 @ 0x6e8a1000
Slize 10 @ 0x6a55e000
Slize 9 @ 0x6617a000
Slize 8 @ 0x61ddf000
Slize 7 @ 0x5da1e000
Slize 6 @ 0x59671000
Slize 5 @ 0x552e8000
Slize 4 @ 0x50fe1000
Slize 3 @ 0x4cca7000
Slize 2 @ 0x48954000
Slize 1 @ 0x4460a000
Slize 0 @ 0x402fa000
^Z
[2]+ Stopped ./t2
daveg@panda-01:~$ ps -eaf|grep t2
daveg 19928 19775 0 14:38 pts/1 00:00:01 gdb ./t2
daveg 19930 19928 0 14:38 pts/1 00:00:00 /home/daveg/t2
daveg 19975 19775 3 14:42 pts/1 00:00:00 ./t2
daveg 19977 19775 0 14:42 pts/1 00:00:00 grep --color=auto t2
daveg@panda-01:~$ cat /proc/19975/maps
00008000-00009000 r-xp 00000000 b3:02 61317 /home/daveg/t2
00010000-00011000 r--p 00000000 b3:02 61317 /home/daveg/t2
00011000-00012000 rw-p 00001000 b3:02 61317 /home/daveg/t2
4005a000-40070000 r-xp 00000000 b3:02 189877 /lib/arm-linux-gnueabi/ld-2.13.so
40070000-40071000 rw-p 00000000 00:00 0
40077000-40078000 r--p 00015000 b3:02 189877 ...

Read more...

Ulrich Weigand (uweigand) wrote :

Note that all this is decided by the kernel's mmap area allocation strategy; see the various "get_unmapped_area" routines in platform-specific kernel code (e.g arch/arm/mm/mmap.c:arch_get_unmapped_area vs. x86/kernel/sys_x86_64.c:arch_get_unmapped_area_topdown).

If any change is required here (and this behaviour *was* in fact changed on x86; they used to behave the same way arm still does), it needs to be done on the kernel side.

Matthias Klose (doko) on 2011-10-25
affects: eglibc (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Matthias Klose (doko) wrote :

needed on the buildds as well (running oneiric)

Changed in linux (Ubuntu Oneiric):
status: New → Confirmed
Paolo Pisati (p-pisati) wrote :

here is latest oneiric/omap4 kernel with the rherring patchset from rmk patch system:

http://people.canonical.com/~ppisati/lp861296/linux-image-3.0.0-1206-omap4_3.0.0-1206.13~lp861296_armel.deb

works on my panda, please try it on our oneiric/omap4 builders.

Tobin Davis (gruemaster) wrote :

Tested both kernels in their respective images. After increasing swap to 4G, both testcases ran ok.

Xerxes Rånby (xranby) wrote :

It work! Now java applications can use up to around -Xmx2909M on the panda.
This will allow compilation of eclipse on ARM where -Xmx2048M are in use.

As a bonus java applications can run 50% more concurrent threads with the patched kernel.

LaMont Jones (lamont) wrote :

the above lucid kernel works on bbg3 with lucid

Tobin Davis (gruemaster) wrote :

Should this bug be amended to ensure that this patch gets into all armel kernels during the next SRU cycle? I have tested all available test kernels and with the patch, I can now run test-kernel-aslr-collisions from the qa-regression-tests w/o failures. Plus, it sounds like it enables a lot more for more users.

Matthias Klose (doko) on 2011-11-29
Changed in linux (Ubuntu Lucid):
status: New → Confirmed
Tim Gardner (timg-tpi) on 2011-12-05
Changed in linux (Ubuntu Natty):
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Maverick):
status: New → Fix Committed
Changed in linux (Ubuntu Lucid):
status: Confirmed → Invalid
Changed in linux (Ubuntu Maverick):
status: Fix Committed → Invalid
Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2011-12-05
Changed in linux-fsl-imx51 (Ubuntu Maverick):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Natty):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Maverick):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Natty):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: New → Fix Committed
Changed in linaro-toolchain-misc:
status: New → Invalid
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Changed in linux (Ubuntu Precise):
status: Invalid → Fix Released
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Released
Jani Monoses (jani) on 2011-12-06
no longer affects: linux-ac100 (Ubuntu Lucid)
no longer affects: linux-ac100 (Ubuntu Maverick)
no longer affects: linux-ac100 (Ubuntu Natty)
Jani Monoses (jani) on 2011-12-14
Changed in linux-ac100 (Ubuntu Precise):
status: New → Fix Released
Jani Monoses (jani) on 2011-12-14
Changed in linux-ac100 (Ubuntu Precise):
status: Fix Released → Confirmed
Changed in linux-ac100 (Ubuntu Oneiric):
status: New → Confirmed
Jani Monoses (jani) wrote :

I see no change to exported functions in the patch, but is it introducing an ABI change that needs a ABI number bump in the debian packaging?

tags: added: rls-mgr-p-tracking
Matthias Klose (doko) wrote :

checked that linux-ti-omap4 (3.0.0-1206.14) oneiric-proposed; urgency=low
fixes the issue (https://launchpad.net/~canonical-kernel-team/+archive/ppa/+packages).

Martin Pitt (pitti) wrote :

Please fix linux-ac100 in precise, otherwise this can't progress into -updates.

Changed in linux-ac100 (Ubuntu Oneiric):
status: Confirmed → Fix Committed

Hello Xerxes, or anyone else affected,

Accepted linux-ac100 into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Xerxes Rånby (xranby) wrote :

Both testcases pass ok!
when using the linux-ac100 linux-image-2.6.38-1001-ac100_2.6.38-1001.2_armel.deb from oneiric-proposed
,with 3Gb swap added, on my ac100.

Jani Monoses (jani) on 2012-01-09
Changed in linux-ac100 (Ubuntu Precise):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ac100 - 2.6.38-1001.2

---------------
linux-ac100 (2.6.38-1001.2) oneiric-proposed; urgency=low

  * Cherry pick two patches from upstream 3.x branch to fix
    mmap()-ing large memory chunks. (LP: #861296)
 -- Jani Monoses <email address hidden> Thu, 15 Dec 2011 09:58:05 +0200

Changed in linux-ac100 (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the omap kernel for Maverick in -proposed (linux-image-2.6.35-32-omap 2.6.35-32.65) solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-maverick' to 'verification-done-maverick'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-maverick
Herton R. Krzesinski (herton) wrote :

Also we are awaiting verification for Natty (linux-image-2.6.38-13-omap 2.6.38-13.55). If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

tags: added: verification-needed-natty
Herton R. Krzesinski (herton) wrote :

The same with oneiric as well (linux-image-3.0.0-16-omap >= 3.0.0-16.27)

tags: added: verification-needed-oneiric
Changed in linux (Ubuntu Maverick):
status: Invalid → Fix Committed
Changed in linux (Ubuntu Natty):
status: Fix Released → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: Fix Released → Fix Committed
Tobin Davis (gruemaster) wrote :

Tested Natty and Oneiric. Both passed. Not currently able to test Maverick as support for my board happened in Natty. Will dig out old beagleboard (C4) and try it tomorrow.

tags: added: verification-done-natty verification-done-oneiric
removed: verification-needed-natty verification-needed-oneiric
Tobin Davis (gruemaster) wrote :

tested Maverick. Mem tests passed with no problems.

tags: added: verification-done-maverick
removed: verification-needed-maverick
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-32.65

---------------
linux (2.6.35-32.65) maverick-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920677

  [ Upstream Kernel Changes ]

  * fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message, CVE-2011-3353
    - LP: #905058
    - CVE-2011-3353
  * KVM: x86: Prevent starting PIT timers in the absence of irqchip support
    - LP: #911303
    - CVE-2011-4622
  * sched, x86: Avoid unnecessary overflow in sched_clock
    - LP: #805341
  * use cache type functions for arch_get_unmapped_area
    - LP: #861296
  * topdown mmap support
    - LP: #861296
  * xfs: validate acl count
    - LP: #917706
    - CVE-2012-0038
  * xfs: fix acl count validation in xfs_acl_from_disk()
    - LP: #917706
    - CVE-2012-0038
  * drm: integer overflow in drm_mode_dirtyfb_ioctl()
    - LP: #917838
    - CVE-2012-0044
  * x86/PCI: amd: factor out MMCONFIG discovery
    - LP: #647043
  * PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that breaks USB
    - LP: #647043
 -- Brad Figg <email address hidden> Mon, 23 Jan 2012 13:40:13 -0800

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.55

---------------
linux (2.6.38-13.55) natty-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920790

  [ Upstream Kernel Changes ]

  * fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message, CVE-2011-3353
    - LP: #905058
    - CVE-2011-3353
  * KVM: x86: Prevent starting PIT timers in the absence of irqchip support
    - LP: #911303
    - CVE-2011-4622
  * sched, x86: Avoid unnecessary overflow in sched_clock
    - LP: #805341
  * use cache type functions for arch_get_unmapped_area
    - LP: #861296
  * topdown mmap support
    - LP: #861296
  * xfs: validate acl count
    - LP: #917706
    - CVE-2012-0038
  * xfs: fix acl count validation in xfs_acl_from_disk()
    - LP: #917706
    - CVE-2012-0038
  * drm: integer overflow in drm_mode_dirtyfb_ioctl()
    - LP: #917838
    - CVE-2012-0044
  * x86/PCI: amd: factor out MMCONFIG discovery
    - LP: #647043
  * PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that
    - LP: #647043
 -- Brad Figg <email address hidden> Mon, 23 Jan 2012 18:31:33 -0800

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.0.0-1207.16

---------------
linux-ti-omap4 (3.0.0-1207.16) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #922006

  [ Upstream Kernel Changes ]

  * omap4: add 4430 ES2.3 support
    - LP: #917264

  [ Ubuntu: 3.0.0-16.27 ]

  * Release Tracking Bug
    - LP: #920735
  * Revert "SAUCE: omap3: beagle: if rev unknown, assume xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision B"
    - LP: #912199
  * Revert "SAUCE: omap3: beaglexm: fix DVI initialization"
    - LP: #912199
  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346
  * Revert "rtc: Disable the alarm in the hardware"
    - LP: #913373
  * Support for Terratec G1
    - LP: #821061
  * drm/radeon/kms: fix DP detect and EDID fetch for DP bridges
    - LP: #825777
  * drm/radeon/kms/DCE4.1: fix Select_CrtcSource EncodeMode setting for DP
    bridges (v2)
    - LP: #825777
  * drm/radeon/kms: cleanup atombios_adjust_pll()
    - LP: #825777
  * drm/radeon/kms/atom: rework encoder dpms
    - LP: #825777
  * drm/radeon/kms: check for DP MST mode in a few more places (v2)
    - LP: #825777
  * drm/radeon/kms: rework DP bridge checks
    - LP: #825777
  * drm/radeon/kms: fix DP setup on TRAVIS bridges
    - LP: #825777
  * ALSA: sis7019 - give slow codecs more time to reset
    - LP: #907778
  * ALSA: hda/realtek - Fix Oops in alc_mux_select()
    - LP: #907778
  * alarmtimers: Fix time comparison
    - LP: #907778
  * ARM: davinci: da850 evm: change audio edma event queue to EVENTQ_0
    - LP: #907778
  * arm: mx23: recognise stmp378x as mx23
    - LP: #907778
  * ARM: at91: fix clock conid for atmel_tcb.1 on 9260/9g20
    - LP: #907778
  * ARM: davinci: dm646x evm: wrong register used in
    setup_vpif_input_channel_mode
    - LP: #907778
  * ASoC: Provide a more complete DMA driver stub
    - LP: #907778
  * fs/proc/meminfo.c: fix compilation error
    - LP: #907778
  * thp: add compound tail page _mapcount when mapped
    - LP: #907778
  * thp: set compound tail page _count to zero
    - LP: #907778
  * ptp: Fix clock_getres() implementation
    - LP: #907778
  * mm: Ensure that pfn_valid() is called once per pageblock when reserving
    pageblocks
    - LP: #907778
  * mm: vmalloc: check for page allocation failure before vmlist insertion
    - LP: #907778
  * fix apparmor dereferencing potentially freed dentry, sanitize
    __d_path() API
    - LP: #907778
  * target: Handle 0 correctly in transport_get_sectors_6()
    - LP: #907778
  * intel-iommu: fix return value of iommu_unmap() API
    - LP: #907778
  * intel-iommu: set iommu_superpage on VM domains to lowest common
    denominator
    - LP: #907778
  * intel-iommu: fix superpage support in pfn_to_dma_pte()
    - LP: #907778
  * percpu: fix chunk range calculation
    - LP: #907778
  * iwlwifi: do not re-configure HT40 after associated
    - LP: #907778
  * mac80211: fix race condition caused by late addBA response
    - LP: #907778
  * linux/log2.h: Fix rounddown_pow_of_two(1)
    - LP: #907778
  * hwmon: (jz4740) fix signedness bug
   ...

Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 3.0.0-16.28

---------------
linux (3.0.0-16.28) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #922692

  [ Upstream Kernel Changes ]

  * Revert "drm/i915/dp: Fix the math in intel_dp_link_required"
    - LP: #919350

linux (3.0.0-16.27) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920735

  [ Paolo Pisati ]

  * Revert "SAUCE: omap3: beagle: if rev unknown, assume xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision B"
    - LP: #912199
  * Revert "SAUCE: omap3: beaglexm: fix DVI initialization"
    - LP: #912199
  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Upstream Kernel Changes ]

  * Revert "rtc: Disable the alarm in the hardware"
    - LP: #913373
  * Support for Terratec G1
    - LP: #821061
  * drm/radeon/kms: fix DP detect and EDID fetch for DP bridges
    - LP: #825777
  * drm/radeon/kms/DCE4.1: fix Select_CrtcSource EncodeMode setting for DP
    bridges (v2)
    - LP: #825777
  * drm/radeon/kms: cleanup atombios_adjust_pll()
    - LP: #825777
  * drm/radeon/kms/atom: rework encoder dpms
    - LP: #825777
  * drm/radeon/kms: check for DP MST mode in a few more places (v2)
    - LP: #825777
  * drm/radeon/kms: rework DP bridge checks
    - LP: #825777
  * drm/radeon/kms: fix DP setup on TRAVIS bridges
    - LP: #825777
  * ALSA: sis7019 - give slow codecs more time to reset
    - LP: #907778
  * ALSA: hda/realtek - Fix Oops in alc_mux_select()
    - LP: #907778
  * alarmtimers: Fix time comparison
    - LP: #907778
  * ARM: davinci: da850 evm: change audio edma event queue to EVENTQ_0
    - LP: #907778
  * arm: mx23: recognise stmp378x as mx23
    - LP: #907778
  * ARM: at91: fix clock conid for atmel_tcb.1 on 9260/9g20
    - LP: #907778
  * ARM: davinci: dm646x evm: wrong register used in
    setup_vpif_input_channel_mode
    - LP: #907778
  * ASoC: Provide a more complete DMA driver stub
    - LP: #907778
  * fs/proc/meminfo.c: fix compilation error
    - LP: #907778
  * thp: add compound tail page _mapcount when mapped
    - LP: #907778
  * thp: set compound tail page _count to zero
    - LP: #907778
  * ptp: Fix clock_getres() implementation
    - LP: #907778
  * mm: Ensure that pfn_valid() is called once per pageblock when reserving
    pageblocks
    - LP: #907778
  * mm: vmalloc: check for page allocation failure before vmlist insertion
    - LP: #907778
  * fix apparmor dereferencing potentially freed dentry, sanitize
    __d_path() API
    - LP: #907778
  * target: Handle 0 correctly in transport_get_sectors_6()
    - LP: #907778
  * intel-iommu: fix return value of iommu_unmap() API
    - LP: #907778
  * intel-iommu: set iommu_superpage on VM domains to lowest common
    denominator
    - LP: #907778
  * intel-iommu: fix superpage support in pfn_to_dma_pte()
    - LP: #907778
  * percpu: fix chunk range calculation
    - LP: #907778
  * iwlwifi: do not re-configure HT40 after associated
    - LP: #907778
  * mac80211: fix race condition caused by late addBA respon...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Paolo Pisati (p-pisati) wrote :

in M/omap4 we were still using a 2G/2G split (and thus we were exhausting the vm address space), moving to a 3G/1G fixes it:

http://people.canonical.com/~ppisati/lp861296/linux-image-2.6.35-903-omap4_2.6.35-903.31~3g1gsplit_armel.deb

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 2.6.35-903.32

---------------
linux-ti-omap4 (2.6.35-903.32) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #942766

  [ Paolo Pisati ]

  * [Config] Move to a 3G/1G memory split
    - LP: #861296

linux-ti-omap4 (2.6.35-903.31) maverick-proposed; urgency=low

  * Release Tracking Bug
    - LP: #932237

  [ Upstream Kernel Changes ]

  * net: ip_expire() must revalidate route
    - LP: #922051
    - CVE-2011-1927
  * inotify: stop kernel memory leak on file creation failure
    - LP: #917797
    - CVE-2010-4250
  * inotify: fix double free/corruption of stuct user
    - LP: #869203
    - CVE-2011-1479
  * fuse: verify ioctl retries
    - LP: #917804
    - CVE-2010-4650
  * ima: fix add LSM rule bug
    - LP: #917808
    - CVE-2011-0006
  * bridge: Fix mglist corruption that leads to memory corruption
    - LP: #917813
    - CVE-2011-0716
  * sound/oss: remove offset from load_patch callbacks
    - LP: #925337
    - CVE-2011-1476
  * ARM: 6891/1: prevent heap corruption in OABI semtimedop
    - LP: #925373
    - CVE-2011-1759
  * sound/oss/opl3: validate voice and channel indexes
    - LP: #925335
    - CVE-2011-1477
  * Fix for buffer overflow in ldm_frag_add not sufficient
    - LP: #922371
    - CVE-2011-2182
  * AppArmor: fix oops in apparmor_setprocattr
    - LP: #789409
    - CVE-2011-3619
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 28 Feb 2012 14:33:28 -0300

Changed in linux-ti-omap4 (Ubuntu Maverick):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Confirmed as released in Ubuntu-2.6.38-1209.19. Closing Fix Released

Changed in linux-ti-omap4 (Ubuntu Natty):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Confirmed released with Ubuntu-2.6.31-612.32. Marking Fix Released.

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers